#pragma once

#include "CoreMinimal.h"
#include "Animation/AnimNotifies/AnimNotify.h"
#include "AnimNotify_RemoveStaticMeshes.generated.h"

UCLASS(Blueprintable)
class UAnimNotify_RemoveStaticMeshes : public UAnimNotify
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FName> StaticMeshesToRemoveByTags;

public:
	UAnimNotify_RemoveStaticMeshes();
};

FORCEINLINE uint32 GetTypeHash(const UAnimNotify_RemoveStaticMeshes) { return 0; }
